gsup.c File Reference
Generic Subscriber Update Protocol
`#include <osmocom/gsm/tlv.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/gsm/gsm48_ie.h>`
`#include <osmocom/gsm/gsup.h>`
`#include <stdint.h>`

## Functions

int | osmo_gsup_get_err_msg_type (enum osmo_gsup_message_type type_in)
| return the error message type corresponding to type_in More...
static int | decode_pdp_info (uint8_t *data, size_t data_len, struct osmo_gsup_pdp_info *pdp_info)
static int | decode_auth_info (uint8_t *data, size_t data_len, struct osmo_auth_vector *auth_vector)
int | osmo_gsup_decode (const uint8_t *const_data, size_t data_len, struct osmo_gsup_message *gsup_msg)
| Decode (parse) a GSUP message. More...
static void | encode_pdp_info (struct msgb *msg, enum osmo_gsup_iei iei, const struct osmo_gsup_pdp_info *pdp_info)
static void | encode_auth_info (struct msgb *msg, enum osmo_gsup_iei iei, const struct osmo_auth_vector *auth_vector)
int | osmo_gsup_encode (struct msgb *msg, const struct osmo_gsup_message *gsup_msg)
| Encode a GSUP message. More...

## Variables

const struct value_string | osmo_gsup_message_type_names []
const struct value_string | osmo_gsup_session_state_names []

## Detailed Description

Osmocom Generic Subscriber Update Protocol